### Function

# Vips Foreign find_load_source

#### Declaration [src]

    const char*
    vips_foreign_find_load_source (
      VipsSource* source
    )

#### Description [src]

Searches for an operation you could use to load a source. To see the range of source loaders supported by your vips, try something like:

    vips -l | grep load_source

See also

`vips_image_new_from_source()`.

#### Parameters

`source`

  Type: `VipsSource`

  Source to load from.

  The data is owned by the caller of the function.

#### Return value

Type: `const char*`

The name of an operation on success, `NULL` on error.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.